Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class DefaultFileNameNormalizer

`java.lang.Object
oracle.toplink.xml.DefaultFileNameNormalizer`

All Implemented Interfaces:
  FileNameNormalizer

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class DefaultFileNameNormalizer
extends java.lang.Object
implements FileNameNormalizer

Default implementation of file name normalizer. Replace any invalid characters with an escape sequence that looks like this:

'/' => "/"

Since:
  TOPLink/Java 4.5
See Also:
  `DefaultXMLFileAccessorFilePolicy`

Field Summary
`static java.lang.String` | `DEFAULT_INVALID_FILE_NAME_CHARACTERS` Deprecated. A list of the default invalid file name characters that will be morphed into escape sequences.

Constructor Summary
`DefaultFileNameNormalizer()` Deprecated.

Method Summary
`java.lang.String` | `getInvalidFileNameCharacters()` Deprecated. Return a list of the invalid file name characters that will be morphed into escape sequences.
`java.lang.String` | `normalize(java.lang.String unnormalizedFileName)` Deprecated. Convert the specified, unqualified file name into something that should be palatable as a file name (e.g. replace invalid characters with escape sequences).
`void` | `setInvalidFileNameCharacters(java.lang.String invalidFileNameCharacters)` Deprecated. Set the list of the invalid file name characters that will be morphed into escape sequences.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INVALID_FILE_NAME_CHARACTERS

    public static java.lang.String DEFAULT_INVALID_FILE_NAME_CHARACTERS

  Deprecated.
  A list of the default invalid file name characters that will be morphed into escape sequences.

  \ is the filename separator in DOS/Windows and the escape character in Unix

  / is the filename separator in Unix and the command option tag in DOS

  : is the filename separator in MacOS and the drive indicator in DOS

  * is a DOS wildcard character

  ? is a DOS wildcard character

  " is used by DOS to delimit file names with spaces

  < is a DOS redirection character

  > is a DOS redirection character

  | is a DOS redirection character

  & is our own escape character

Constructor Detail

### DefaultFileNameNormalizer

    public DefaultFileNameNormalizer()

  Deprecated.

Method Detail

### normalize

    public java.lang.String normalize(java.lang.String unnormalizedFileName)

  Deprecated.
  Description copied from interface: `FileNameNormalizer`
  Convert the specified, unqualified file name into something that should be palatable as a file name (e.g. replace invalid characters with escape sequences). The name must be unqualified so we don't convert any legitimate file name separators.
  Specified by:
    `normalize` in interface `FileNameNormalizer`

### getInvalidFileNameCharacters

    public java.lang.String getInvalidFileNameCharacters()

  Deprecated.
  Return a list of the invalid file name characters that will be morphed into escape sequences.

### setInvalidFileNameCharacters

    public void setInvalidFileNameCharacters(java.lang.String invalidFileNameCharacters)

  Deprecated.
  Set the list of the invalid file name characters that will be morphed into escape sequences.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD